<?php
/**
 *
 * @author: xaboy<365615158@qq.com>
 * @day: 2018/01/17
 */

namespace app\admin\controller\ump;

use app\admin\controller\AuthController;
use think\facade\Route as Url;
use crmeb\traits\CurdControllerTrait;
use crmeb\services\{JsonService, FormBuilder as Form, UtilService as Util};
use app\admin\model\ump\{StoreCouponIssue as CouponIssueModel, StoreCouponIssueUser};
use app\models\store\StoreCouponCode as CouponCodeModel;
class StoreCouponIssue extends AuthController
{
    use CurdControllerTrait;

    protected $bindModel = CouponIssueModel::class;

    public function index()
    {
        $where = Util::getMore([
            ['status', ''],
            ['coupon_title', ''],
            ['type','']
        ]);
        $this->assign(CouponIssueModel::stsypage($where));
        $this->assign('where', $where);
        return $this->fetch();
    }

    public function delete($id = '')
    {
        if (!$id) return JsonService::fail('参数有误!');
        if (CouponIssueModel::edit(['is_del' => 1], $id, 'id'))
            return JsonService::successful('删除成功!');
        else
            return JsonService::fail('删除失败!');
    }

    public function edit($id = '')
    {
        if (!$id) return JsonService::fail('参数有误!');
        $issueInfo = CouponIssueModel::get($id);
        if (-1 == $issueInfo['status'] || 1 == $issueInfo['is_del']) return $this->failed('状态错误,无法修改');
        $f = [Form::radio('status', '是否开启', $issueInfo['status'])->options([['label' => '开启', 'value' => 1], ['label' => '关闭', 'value' => 0]])];
        $form = Form::make_post_form('状态修改', $f, Url::buildUrl('change_field', array('id' => $id, 'field' => 'status')));
        $this->assign(compact('form'));
        return $this->fetch('public/form-builder');
    }

    public function issue_log($id = '')
    {
        if (!$id) return JsonService::fail('参数有误!');
        $this->assign(StoreCouponIssueUser::systemCouponIssuePage($id));
        return $this->fetch();
    }
    public function issue_code_list($id = '') 
    {
    	if (!$id) return JsonService::fail('参数有误!');
        $this->assign(CouponCodeModel::systemCouponCodePage($id));
        return $this->fetch();
    }
    public function export_text($id = '') //导出券码
    {
    	if (!$id) return JsonService::fail('参数有误!');
    	$list = CouponCodeModel::where(['cid'=>$id,'status'=>0])->field('code')->select()->toArray();
    	foreach ($list as $val) {
		    $val = join(",",$val);
		    $temp_array[] = $val;
		}
		$list = implode("\r", $temp_array);
    	return JsonService::successful('导出成功!',$list);
    }
    public function issue_make_code($id = '') //券码生成
    {
        if (!$id) return JsonService::fail('参数有误!');
        $issueInfo = CouponIssueModel::get($id);
        if (-1 == $issueInfo['status'] || 1 == $issueInfo['is_del'] || 0 == $issueInfo['send_type']) return $this->failed('状态错误,无法操作');
        $f = [];
        $f[] = Form::input('cid', '优惠劵编号', $issueInfo['id'])->disabled(1);
        if ( 0 == $issueInfo['is_permanent']) {
        	$f[] = Form::number('count', '生成数量(剩余'.$issueInfo['make_count'].')', 1)->min(1)->max($issueInfo['make_count']);
        } else {
        	$f[] = Form::number('count', '生成数量', 1)->min(1)->max(1000);
        }
        $form = Form::make_post_form('生成优惠券', $f, Url::buildUrl('make_code_handle'));
        $this->assign(compact('form'));
        return $this->fetch('public/form-builder');
    }
    public function make_code_handle()
    {
    	$data = Util::postMore([
            ['cid', 0],
            ['count', 0]
        ]);
        if (!$data['cid']) return JsonService::fail('操作错误');
        if (!$data['count']) return JsonService::fail('数量不能小于0');
        $data['send_time'] = time();
        $issueInfo = CouponIssueModel::get($data['cid']);
        if (0 == $issueInfo['make_count']) {
        	return JsonService::fail('可生成数量错误!'.$issueInfo['make_count']);
        }
        $datas = array();
        for($i = 0; $i < $data['count']; $i++){
        	$datas[$i]['cid'] = $data['cid'];
        	$datas[$i]['send_time'] = time();
            do{
                $code = get_rand_str(8,0,1);//获取随机8位字符串
                $check_exist = CouponCodeModel::where(['code' => $code])->find();
            }while($check_exist);
            $datas[$i]['code'] = $code;
            
        }
        CouponCodeModel::insertAll($datas);
        CouponIssueModel::where(['id' => $data['cid']])->dec('make_count',$data['count'])->update();
        return JsonService::successful('生成成功!');
    }
}